const { defineConfig } = require("cypress");

module.exports = defineConfig({
  e2e: {
    setupNodeEvents(on, config) {
      // implement node event listeners here
    },
  },
  // https://docs.cypress.io/guides/guides/web-security#Disabling-Web-Security
  // We ran into *random* errors like this:
  //   SecurityError: Blocked a frame with origin
  //   "https://files-nc20931.gitlab.stackspin.net" from accessing a cross-origin
  //   frame.
  // (see i.e. https://open.greenhost.net/stackspin/nextcloud/-/jobs/237473)
  // On retry the same job succeeded
  // (see https://open.greenhost.net/stackspin/nextcloud/-/jobs/237475)
  chromeWebSecurity: false,
  // https://docs.cypress.io/guides/references/configuration#Timeouts
  // Nextcloud and especially Onlyoffice load slow so we need to increase
  // the global timeout
  defaultCommandTimeout: 30000
});
